﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfNumericTextBox.XForms;
using Xamarin.Forms;

namespace NumericTextBox
{
  public  class NumericText: SfNumericTextBox
    {

        public double Minimum
        {
            get { return (double)GetValue(MinimumProperty); }
            set { SetValue(MinimumProperty, value); }
        }

       
        public static readonly BindableProperty MinimumProperty =
            BindableProperty.Create<NumericText, double>(p => p.Minimum, 0, BindingMode.TwoWay, null, null, null);

        public double Maximum
        {
            get { return (double)GetValue(MaximumProperty); }
            set { SetValue(MaximumProperty, value); }
        }

        
        public static readonly BindableProperty MaximumProperty =
            BindableProperty.Create<NumericText, double>(p => p.Maximum, 100, BindingMode.TwoWay, null, null, null);
       
    }
}
