﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace NumericTextBox
{
    public partial class Page1 : ContentPage
    {
        public Page1()
        {
            InitializeComponent();
            sfNumericTextBox.ValueChanged += SfNumericTextBox_ValueChanged;
            sfNumericTextBox.ValueChangeMode = Syncfusion.SfNumericTextBox.XForms.ValueChangeMode.OnKeyFocus;

        }

        private void SfNumericTextBox_ValueChanged(object sender, Syncfusion.SfNumericTextBox.XForms.ValueEventArgs e)
        {
           
            if (sfNumericTextBox.Minimum <= double.Parse(e.Value.ToString()) && sfNumericTextBox.Maximum >= double.Parse(e.Value.ToString()))
            {
                sfNumericTextBox.Value = double.Parse(e.Value.ToString());

                if (!sfNumericTextBox.AllowNull && sfNumericTextBox.Value == null)
                {
                    sfNumericTextBox.Value = 0;
                }

                

            }

            else if (sfNumericTextBox.Maximum < double.Parse(e.Value.ToString()))
            {
                
                sfNumericTextBox.Value = sfNumericTextBox.Maximum;

               if (!sfNumericTextBox.AllowNull && sfNumericTextBox.Value == null)
                {
                    sfNumericTextBox.Value = 0;
                }
                
            }
            else if (sfNumericTextBox.Minimum > double.Parse(e.Value.ToString()))
            {
                sfNumericTextBox.Value = double.Parse(sfNumericTextBox.Minimum.ToString());

                if (!sfNumericTextBox.AllowNull && sfNumericTextBox.Value == null)
                {
                    sfNumericTextBox.Value = 0;
                }
            }
        }

       
    }
}